


/*
        Identité : Vanderbruggen Antoine
        Date premier encodage : 
*/


/* Propriétés globales */

@font-face {    /* Permet de mettre une police personnalisée */
    font-family: "default";
    src: url("../fonts/arima.ttf");
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: "gluten";
    src: url("../fonts/gluten.ttf");
    font-weight: 500;
    font-style: normal;
}

* {
    margin: 0;
    padding: 0;
    text-decoration: none;
    list-style: none;
    box-sizing: border-box;
}

[id] {
    scroll-margin-top: 100px;   /* Permet d'avoir une marge quand on redirige vers un id avec la balise <a> */
  }                             /* Pour que ça ne soit pas caché par le header */

strong {
    font-weight: 800;
}

h1 {
    font-family: "gluten";
}

iframe {
    display: block;
    margin: 5px auto;
}

button {
    display: block;
    padding: 5px;
    margin: 0 auto;
}

html {
    height: 100%;
}

body {
    font-family: "default";
    font-size: 20px;
    background-color: #373e48;  /* Parfois le navigteur permet de voir à travers l'image de fond */
    background-image: url("../img/fond.png");   /*Donc je met du noir pour faire le raccord avec le header et le footer */
    background-attachment: fixed;
    background-position-y: 70px;
    background-position-x: center;
    background-size: cover;
    background-repeat: no-repeat;
    overflow-y: scroll;
    height: 100%;
    display: flex;  /* Les flexbox permet une plus grande flexibilité pour les différents affichages */
    flex-direction: column;     /* Pour m'exercer sur les flexbox, j'ai utilisé https://flexboxfroggy.com/#fr */
}


/* La BARRE de NAVIGATION */

header {
    font-family: "gluten";
    background-color: #373e48;
    position: fixed;
    width: 100%;
    height: 80px;
    top: 0;
    left: 0;
    z-index: 100;
}

header>nav {
    margin: 5px auto;
    width: 80%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

header a, 
footer a {
    text-decoration: none;
    color: #ffffff;
}

.logo-navbar {
    display: flex;
    align-items: center;
}

.logo-navbar p {
    font-size: 30px;
}

.logo-navbar img {
    margin: 5px;
    padding: 5px;
    width: 60px;
    height: 60px;
}

header li {
    display: inline;
    font-size: 25px;
    margin: 0 20px;
    padding: 5px;
}

header li>a:hover {
    color: #ea9e16;
}

.ici {
    color: #f4d359;
    font-weight: bold;
    border-bottom: solid 5px;   /* J'ai préféré utiliser un "border-bottom" plutôt qu'un "texte-decoration: underline;" */
    border-radius: 3px;         /* Car l'underline faisait une mise en page bizarre sur Firefox... */
}


/* Le MAIN */

main {
    width: 80%;
    background-color: #ffffff;
    margin: 100px auto 20px auto;
    padding: 10px;
    flex: 1;
}

.main_content {
    margin: 30px auto;
    width: 95%;
}

main p {
    margin: 10px auto 10px auto;
}

main img {
    display: block;
    width: 90%;
    margin: 5px auto 20px auto;
}

main a {
    color: #000000;
}


/* Le PIED de PAGE */

footer {
    margin-bottom: 0;
    width: 100%;
    background-color: #373e48;
    color: #ffffff;
    flex-shrink: 0;
}

.pied {
    margin: 60px auto 20px auto;
    width: 90%;
    display: flex;
    flex-flow: row wrap;    /* Pour avoir un début de responsive */
    align-items: flex-start;
    justify-content: space-evenly;
    font-size: 25px;
}

.pied h1 {
    font-family: "Gluten";
    font-size: 30px;
    text-align: center;
    margin-bottom: 15px;
}

.pied li {
    margin-bottom: 10px;
}

.footer-contact {
    width: 320px;
    margin: 10px;
}

.footer-horaires {
    width: 300px;
    margin: 10px;
}

.footer-horaires th {
    text-align: start;
    padding: 0px 20px 15px 0;
}

.footer-horaires td {
    text-align: center;
    padding: 0px 0 15px 0;
}

.footer-reseaux {
    width: 220px;
    margin: 10px;
}

.footer-reseaux img {
    width: 25px;
    height: 25px;
    margin-right: 5px;
}


/* RESPONSIVE */

@media only screen and (max-width: 1200px) {    /* permet en fonction de la taille des écran (ici moins de 1200) de modifier */
    [id] {                                      /* certaines propriétés css */
        scroll-margin-top: 20px;   
      } 

    body {
        background-position-y: 0px;
    }

    header {
        position: absolute;
        width: 100%;
        height: 250px;
        top: 0;
        left: 0;
    }

    header>nav {
        flex-direction: column;
    }

    header li {
        display: block;
        text-align: center;
        margin-bottom: 5px;
    }

    main {
        margin-top: 270px;
        width: 95%;
    }
}